import unittest
import mock
import sys
import gocept.support.configuration


class ConfigurationTest(unittest.TestCase):

    def test_no_args_has_default_configfile(self):
        conf = gocept.support.configuration.config
        sys.argv = []
        conf()
        self.assertEqual('~/.gocept-support.cfg', conf.options.config)

    def test_dash_c_is_used_as_configfile(self):
        conf = gocept.support.configuration.config
        sys.argv = ['python', '-c', 'my-config.cfg']
        conf()
        self.assertEqual('my-config.cfg', conf.options.config)

