# Copyright (c) 2011 gocept gmbh & co. kg
# See also LICENSE.txt

import datetime
import gocept.support.sla
import os.path
import unittest


class TestSLA(unittest.TestCase):

    def test_load_explicit_midnight(self):
        sla = gocept.support.sla.SLA(
            os.path.join(os.path.dirname(__file__), 'data',
                         'slaexplicitmidnight.cfg'))
        period = sla.periods(datetime.date(2011, 4, 26)).next()
        self.assertEquals(None, period.end)
        self.assertEquals(None, period.start)
